### Method

# WebKit2 WebView get_microphone_capture_state

#### Declaration [src]

    WebKitMediaCaptureState
    webkit_web_view_get_microphone_capture_state (
      WebKitWebView* web_view
    )

#### Description [src]

Get the microphone capture state of a `WebKitWebView`.

Available since: | 2.34

Gets property | `WebKit2.WebView:microphone-capture-state`

#### Return value

Returns: | `WebKitMediaCaptureState`
| The `WebKitMediaCaptureState` of the microphone device. If `WebKitSettings:enable-mediastream` is `FALSE`, this method will return `WEBKIT_MEDIA_CAPTURE_STATE_NONE`.